package listasDoblementeEnlazadas.modelo;

/**
 * Representa un nodo que contiene tres campos: valor, siguiente y anterior
 * 
 * @author libardo
 * 
 * @param <T>
 */
public class Nodo<T> {
	/**
	 * tributo valor de tipo T. Almacena la referencia al objeto que se guarda en el nodo
	 */
	private T valor;
	/**
	 * Referencia al siguiente nodo enlazado
	 */
	Nodo<T> siguiente;
	/**
	 * Referencia al anterior nodo enlazado
	 */
	Nodo<T> anterior;

	public Nodo() {
		valor = null;
		siguiente = null;
		anterior = null;
	}

	public T getValor() {
		return valor;
	}

	public void setValor(T valor) {
		this.valor = valor;
	}

	public Nodo<T> getSiguiente() {
		return siguiente;
	}

	public Nodo<T> getAnterior() {
		return anterior;
	}

	public void setSiguiente(Nodo<T> siguiente) {
		this.siguiente = siguiente;
	}
	
	public void setAnterior(Nodo<T> anterior) {
		this.anterior = anterior;
	}	
}